# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:38 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Apache
%define	pnam	Htpasswd
Summary:	Manage Unix crypt-style password file
Summary(pl):	Obsuga pliku hase w stylu uniksowego crypt
Name:		perl-%{pdir}-%{pnam}
Version:	1.5.5
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module comes with a set of methods to use with htaccess password
files. These files (and htaccess) are used to do Basic Authentication
on a web server.

%description -l pl
Ten modu dostarcza zestaw metod, ktrych mona uywa z plikami hase
htaccess. Te pliki (oraz htaccess) s uywane do uwierzytelnienia
Basic na serwerze WWW.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Apache-Htpasswd.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:38  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:25:49  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/16 22:56:20  qboosh
- pl description

Revision 1.1  2003/02/14 13:38:58  mis
- new
